import request from '@/utils/request'

// 查询发动机型号列表
export function listEngineModel(query) {
  return request({
    url: '/meas/engineModel/list',
    method: 'get',
    params: query
  })
}

// 查询发动机型号详细
export function getEngineModel(id) {
  return request({
    url: '/meas/engineModel/' + id,
    method: 'get'
  })
}

// 新增发动机型号
export function addEngineModel(data) {
  return request({
    url: '/meas/engineModel',
    method: 'post',
    data: data
  })
}

// 修改发动机型号
export function updateEngineModel(data) {
  return request({
    url: '/meas/engineModel',
    method: 'put',
    data: data
  })
}

// 删除发动机型号
export function delEngineModel(id) {
  return request({
    url: '/meas/engineModel/' + id,
    method: 'delete'
  })
}
